package com.jeeplus.finance.invoice.util;

import com.jeeplus.flowable.feign.IFlowableApi;
//import com.jeeplus.sys.utils.SpringContextHolder;
//import org.flowable.task.api.Task;

import javax.annotation.Resource;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.List;

/**
 * @author: 徐滕
 * @version: 2022-12-08 15:34
 */
public class FlowTaskUtil {

    @Resource
    private IFlowableApi iFlowableApi;

    /**
     * 数据整合方法
     * @param a
     * @param b
     * @return
     */
    static Field[] concat(Field[] a, Field[] b) {

        Field[] c= new Field[a.length+b.length];
        System.arraycopy(a, 0, c, 0, a.length);
        System.arraycopy(b, 0, c, a.length, b.length);
        return c;
    }

}
